#include "MqttMonitor.h"

#include <Metro.h>
#include <Streaming.h>
#include <avr/wdt.h>


#include "hmi.h"
#include "mqttClient.h"

Hmi hmi = Hmi();
Metro tick = Metro(25000); // 25s

void setup() {
	Serial.begin(9600);

	hmi.begin();
	hmi.tft()->println("Starting up");

	MqttClientNS::begin();

	hmi.tft()->println("Running");
	delay(10000);

	hmi.clear();

	wdt_enable(WDTO_8S);
}

void loop() {
	wdt_reset();

	if (tick.check()) {
		Serial << "tick" << endl;
	}

	hmi.exec();

	MqttClientNS::exec();

}
